<?xml version="1.0" encoding="UTF-8"?>
<!--
To change this template, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      lang="es"
      xmlns:p="http://primefaces.org/ui"
      xmlns:c="http://xmlns.jcp.org/jsp/jstl/core"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title><ui:insert name="title">Noticias</ui:insert></title>
        <h:outputStylesheet name="css/jsfcrud.css"/>
        <link rel="stylesheet" type="text/css" href="../Recursos/Css/general.css" />
        <link rel="stylesheet" type="text/css" href="" />
    </h:head>

    <h:body>
        <h:form id="Noticias" enctype="multipart/form-data" >  
            <p:growl id="growl" showDetail="true" /> 
            <p:tab title="Nueva Noticia">
                <h:panelGrid columns="3" style="margin-top:10px">
                    <h:outputLabel value="Título: *" for="tituloNot" />
                    <h:inputText id="tituloNot" value="#{noticiasController.selected.noticiaTitulo}"   required="true">
                        <p:ajax update="msgTitulo" event="keyup" />
                    </h:inputText>
                    <p:message for="tituloNot" id="msgTitulo" display="tooltip" />  
                    <h:outputLabel value="#{bundle.CreateNoticiasLabel_noticiaFecha}" for="fecha" />
                    <p:calendar id="fecha" value="#{noticiasController.selected.noticiaFecha}" title="#{bundle.CreateNoticiasTitle_noticiaFecha}" required="true" requiredMessage="#{bundle.CreateNoticiasRequiredMessage_noticiaFecha}">
                        <f:convertDateTime pattern="MM/dd/yyyy" />
                    </p:calendar>
                    <p:message for="fecha" id="msgFecha" display="tooltip" />  
                    <h:outputLabel value="#{bundle.CreateNoticiasLabel_noticiaImagen}" for="minuta" />
                    <p:fileUpload id="minuta" fileUploadListener="#{noticiasController.handleFileUploadNoticia}"
                                  mode="advanced" update="growl" multiple="true"
                                  sizeLimit="900000000" auto="true"
                                  allowTypes="/(\.|\/)(gif|jpe?g|png|txt)$/"
                                  uploadLabel="Cargar" cancelLabel="Cancelar" label="Buscar archivo"
                                  required="true" />

                    <p:message for="minuta" id="msgImagen" display="tooltip" /> 
                    <h:outputLabel value="#{bundle.CreateNoticiasLabel_noticiaDescripcion}" for="descripcion" />
                    <p:editor id="descripcionNot" value="#{noticiasController.selected.noticiaDescripcion}" required="true" requiredMessage="#{bundle.CreateNoticiasRequiredMessage_noticiaDescripcion}">
                        <f:validateLength maximum="500" />  
                        <!--                            <p:ajax update="msgDescripcion" event="keyup" />  -->
                    </p:editor> 
                    <p:message for="descripcionNot" id="msgDescripcion" display="tooltip" />

                    <h:outputLabel value="#{bundle.CreateNoticiasLabel_noticiaFuente}" for="fuente" />
                    <h:inputText id="fuente"  value="#{noticiasController.selected.noticiaFuente}" title="#{bundle.CreateNoticiasTitle_noticiaFuente}"  />
                    <p:message for="fuente" id="msgFuente" display="tooltip" />


                    <p:commandButton value="Crear Noticia" action="#{noticiasController.create}"   
                                     ajax="false" update="growl"/>
                </h:panelGrid> 

            </p:tab>  

        </h:form>  

    </h:body>

</html>